org.apache.xerces.impl.dtd.models

## Class CMBinOp

- java.lang.Object
- - org.apache.xerces.impl.dtd.models.CMNode
  - - org.apache.xerces.impl.dtd.models.CMBinOp

-     public class CMBinOp
      extends CMNode

  Content model Bin-Op node.
  Version:
    $Id: CMBinOp.java 572057 2007-09-02 18:03:20Z mrglavas $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMBinOp(int type, CMNode leftNode, CMNode rightNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `calcFirstPos(CMStateSet toSet)`
    `protected void` | `calcLastPos(CMStateSet toSet)`
    `boolean` | `isNullable()`

    - ### Methods inherited from class org.apache.xerces.impl.dtd.models.CMNode

      `firstPos, isCompactedForUPA, lastPos, setIsCompactUPAModel, setMaxStates, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMBinOp

          public CMBinOp(int type,
                         CMNode leftNode,
                         CMNode rightNode)

  - ### Method Detail

    - #### isNullable

          public boolean isNullable()

      Specified by:
        `isNullable` in class `CMNode`

    - #### calcFirstPos

          protected void calcFirstPos(CMStateSet toSet)

      Specified by:
        `calcFirstPos` in class `CMNode`

    - #### calcLastPos

          protected void calcLastPos(CMStateSet toSet)

      Specified by:
        `calcLastPos` in class `CMNode`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.